Get Project
curl --request GET \
--url https://{cluster}.voucherify.io/management/v1/projects/{projectId} \
--header 'X-Management-Id: <api-key>' \
--header 'X-Management-Token: <api-key>'{
"id": "proj_V0uCh3RiFy",
"name": "Voucherify Team Project",
"currency": "EUR",
"timezone": "Etc/GMT+1",
"cluster_id": "eu1",
"api_version": "v2018-08-01",
"description": "Project for testing.",
"case_sensitive_codes": true,
"client_trusted_domains": [],
"client_redeem_enabled": false,
"client_publish_enabled": false,
"client_list_vouchers_enabled": false,
"client_create_customer_enabled": false,
"client_loyalty_events_enabled": false,
"client_set_voucher_expiration_date_enabled": false,
"api_usage_notifications": {
"messages": {
"value": 80,
"emails": [],
"in_app": false,
"enabled": false
},
"api_calls": {
"value": 80,
"emails": [
"your.email@your.domain"
],
"in_app": true,
"enabled": true
},
"cycle_calls": {
"value": 80,
"emails": [
"your.email@your.domain"
],
"in_app": true,
"enabled": true
},
"redemptions": {
"value": 80,
"emails": [],
"in_app": false,
"enabled": false
},
"webhook_calls": {
"value": 80,
"emails": [
"your.email@your.domain"
],
"in_app": true,
"enabled": true
},
"bulk_api_calls": {
"value": 80,
"emails": [
"your.email@your.domain"
],
"in_app": true,
"enabled": true
}
},
"webhooks_callout_notifications": {
"webhooks": {
"email": true,
"emails": [
"your.email@your.domain"
],
"in_app": true
},
"distributions": {
"email": true,
"emails": [
"your.email@your.domain"
],
"in_app": true
}
},
"is_sandbox": false,
"default_code_config": {
"charset": "0123456789"
},
"webhook_version": "v2024-01-01"
}{
"code": 402,
"message": "Payment required",
"details": "Your current plan does not include a feature required to perform this operation.",
"key": "missing_required_feature"
}{
"code": 404,
"message": "Resource not found",
"details": "Cannot find project with id proj_2F3txY7"
}Get Project
Retrieves an existing project.
GET
/
management
/
v1
/
projects
/
{projectId}
Get Project
curl --request GET \
--url https://{cluster}.voucherify.io/management/v1/projects/{projectId} \
--header 'X-Management-Id: <api-key>' \
--header 'X-Management-Token: <api-key>'{
"id": "proj_V0uCh3RiFy",
"name": "Voucherify Team Project",
"currency": "EUR",
"timezone": "Etc/GMT+1",
"cluster_id": "eu1",
"api_version": "v2018-08-01",
"description": "Project for testing.",
"case_sensitive_codes": true,
"client_trusted_domains": [],
"client_redeem_enabled": false,
"client_publish_enabled": false,
"client_list_vouchers_enabled": false,
"client_create_customer_enabled": false,
"client_loyalty_events_enabled": false,
"client_set_voucher_expiration_date_enabled": false,
"api_usage_notifications": {
"messages": {
"value": 80,
"emails": [],
"in_app": false,
"enabled": false
},
"api_calls": {
"value": 80,
"emails": [
"your.email@your.domain"
],
"in_app": true,
"enabled": true
},
"cycle_calls": {
"value": 80,
"emails": [
"your.email@your.domain"
],
"in_app": true,
"enabled": true
},
"redemptions": {
"value": 80,
"emails": [],
"in_app": false,
"enabled": false
},
"webhook_calls": {
"value": 80,
"emails": [
"your.email@your.domain"
],
"in_app": true,
"enabled": true
},
"bulk_api_calls": {
"value": 80,
"emails": [
"your.email@your.domain"
],
"in_app": true,
"enabled": true
}
},
"webhooks_callout_notifications": {
"webhooks": {
"email": true,
"emails": [
"your.email@your.domain"
],
"in_app": true
},
"distributions": {
"email": true,
"emails": [
"your.email@your.domain"
],
"in_app": true
}
},
"is_sandbox": false,
"default_code_config": {
"charset": "0123456789"
},
"webhook_version": "v2024-01-01"
}{
"code": 402,
"message": "Payment required",
"details": "Your current plan does not include a feature required to perform this operation.",
"key": "missing_required_feature"
}{
"code": 404,
"message": "Resource not found",
"details": "Cannot find project with id proj_2F3txY7"
}Path Parameters
Response
Returns the details of a project.
Object representing a project.

